Details

    • Type: Task Task
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.5.0
    • Fix Version/s: 2.7.0
    • Component/s: None
    • Labels:
      None

      Description

      Jasypt 1.7 has trimmed down on the 3rd party dependencies which means we can get rid of some libraries
      http://www.jasypt.org/whatsnew17.html

        Activity

        Hide
        Claus Ibsen added a comment -

        trunk: 1074408.

        Show
        Claus Ibsen added a comment - trunk: 1074408.
        Hide
        Claus Ibsen added a comment -

        I would like to upgrade to Jasypt 1.7 as we can lose the JDK1.5 stuff and other dependencies which is no longer needed.

        Show
        Claus Ibsen added a comment - I would like to upgrade to Jasypt 1.7 as we can lose the JDK1.5 stuff and other dependencies which is no longer needed.
        Hide
        Jean-Baptiste Onofré added a comment -

        I fixed it in ServiceMix Jasypt 1.7 bundle and deployed 1.7_2-SNAPSHOT artifact.

        I plan a ServiceMix bundles release end of this week.

        Show
        Jean-Baptiste Onofré added a comment - I fixed it in ServiceMix Jasypt 1.7 bundle and deployed 1.7_2-SNAPSHOT artifact. I plan a ServiceMix bundles release end of this week.
        Hide
        Jean-Baptiste Onofré added a comment -

        I raised SMX4-736 about that and I'm fixing it right now.

        Show
        Jean-Baptiste Onofré added a comment - I raised SMX4-736 about that and I'm fixing it right now.
        Hide
        Claus Ibsen added a comment -

        Tracy I think the SMX bundle is wrong as Jasypt 1.7 got rid of commons-lang and commons-codec (the latter has bugs).
        http://www.jasypt.org/whatsnew17.html

        So we need an updated SMX bundle which do not important/use any of those commons stuff.

        Show
        Claus Ibsen added a comment - Tracy I think the SMX bundle is wrong as Jasypt 1.7 got rid of commons-lang and commons-codec (the latter has bugs). http://www.jasypt.org/whatsnew17.html So we need an updated SMX bundle which do not important/use any of those commons stuff.
        Show
        Tracy Snell added a comment - They have 1.7 http://repo1.maven.org/maven2/org/apache/servicemix/bundles/org.apache.servicemix.bundles.jasypt/1.7_1/
        Hide
        Claus Ibsen added a comment -

        We may have to have the SMX team create a new OSGi bundle for Jasypt 1.7

        Show
        Claus Ibsen added a comment - We may have to have the SMX team create a new OSGi bundle for Jasypt 1.7

          People

          • Assignee:
            Claus Ibsen
            Reporter:
            Claus Ibsen
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development